* {
    font-family: 'Akrobat';
}

body {
    overflow-x: hidden;
}

html {
    scroll-behavior: smooth;
}

:root {
    --size: 0.3;
    --size2: 0.5;
    --size3: 0.7;
}

@media (min-width: 576px) {
    :root { /**/
        --size: 0.4;
        --size2: 0.6;
        --size3: 0.8;
    }
}

@media (min-width: 768px) {
    :root {
        --size: 0.5;
        --size2: 0.7;
        --size3: 0.8;
    }
}

@media (min-width: 992px) {
    :root {
        --size: 0.7;
        --size2: 0.8;
        --size3: 0.9;
    }
}

@media (min-width: 1400px) {
    :root {
        --size: 0.9;
        --size2: 0.9;
        --size3: 1;
    }
}

@media (min-width: 1920px) {
    :root {
        --size: 1;
        --size2: 1;
        --size3: 1;
    }
}

@media (min-width: 1400px) {
    .container {
        max-width: 1320px !important;
        padding: 0;
    }
}

@media (min-width: 1920px) {
    .container {
        max-width: 1400px !important;
        padding: 0;
    }
}

.header {
    z-index: 10;
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    background: #EBEBEB;
    box-shadow: 0 4px 32px rgba(0, 0, 0, 0.1);
}

.header__links {
    width: 100%;
    gap: calc(40px * var(--size));
    display: none;
}

@media (min-width: 1400px) {
    .header__links {
        display: flex;
    }
}

.header__content {
    gap: 20px;
    padding-top: calc(23px * var(--size));
    padding-bottom: calc(27px * var(--size));
    justify-content: space-between;
}

.header__content .pushed {
    color: #09A8FA;
}

.header__content .pushed__2 {
    display: flex;
    font-size: calc(27px * var(--size3)) !important;
    line-height: calc(32px * var(--size3)) !important;
}

@media (min-width: 1400px) {
    .header__content .pushed__2 {
        display: none;
    }
}

.header__content .pushed:after, .header__content .pushed:before {
    width: 100%;
}

.header__content a {
    color: #000000;
    font-size: calc(27px * var(--size2));
    font-weight: 800;
    line-height: calc(32px * var(--size2));
    text-transform: uppercase;
    white-space: nowrap;
    transition: all .2s ease;
    text-decoration: none;
    position: relative;
}

.header__content a:hover {
    color: #09A8FA;
}

.header__content a:hover:after, .header__content a:hover:before {
    width: 100%;
}

.header__content a:after, .header__content a:before {
    position: absolute;
    content: "";
    background-color: #09A8FA;
    z-index: -1;
    width: 0;
    transition: width .2s ease;
}

.header__content a:after {
    bottom: -4px;
    left: 0;
    height: 4px;
}

.header__content a:before {
    top: -2px;
    left: unset;
    right: 0;
    height: 3px;
}

.credit {
    background: #484848;
    padding-bottom: calc(62px * var(--size2));
}

.credit p {
    font-size: calc(29px * var(--size2));
    font-weight: 600;
    line-height: calc(34px * var(--size2));
    margin-bottom: calc(10px * var(--size2));
    width: 100%;
    color: #fff;
    text-align: center;
    margin: 0;
}

.meet {
    background: url("./assets/media/new_bg.png");
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

.meet__grad {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, #d9d9d9 0%, #d9d9d9 25%, rgba(217, 217, 217, 0) 40%, rgba(217, 217, 217, 0) 75%, #d9d9d9 90%, #d9d9d9 100%);
    z-index: 1;
}

.meet__shad {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background: rgba(73, 64, 64, 0.25);
    z-index: 2;
}

.meet__text {
    position: relative;
    z-index: 3;
    padding-top: 50px;
    display: flex;
    text-decoration: none !important;
}

.meet__text p:not(.meet__sm) {
    text-transform: uppercase;
    margin: 0;
}

.meet__text p:not(.meet__xl) {
    color: #fff;
}

.meet__sm {
    font-size: calc(29px * var(--size2));
    font-weight: 600;
    line-height: calc(34px * var(--size2));
    margin-bottom: calc(10px * var(--size2));
}

.meet__md {
    font-size: calc(44px * var(--size2));
    font-weight: 800;
    line-height: calc(69px * var(--size2));
}

.meet__lg {
    font-size: calc(62px * var(--size2));
    font-weight: 800;
    line-height: calc(69px * var(--size2));
}

.meet__xl {
    color: #FFD56F;
    font-size: calc(80px * var(--size));
    font-weight: 800;
    line-height: calc(90px * var(--size));
}

.meet__mid {
    position: relative;
    z-index: 4;
    background: linear-gradient(0deg, #484848 3.36%, rgba(72, 72, 72, 0) 59.15%);
    padding-bottom: 50px;
}

.meet__mid p {
    margin: 0;
    font-size: calc(47px * var(--size));
    font-weight: 700;
    line-height: calc(47px * var(--size));
    color: #fff;
    text-align: end;
}

.meet__mid span {
    margin: 0;
    font-size: calc(32px * var(--size));
    font-weight: 700;
    line-height: calc(39px * var(--size));
    color: #fff;
}

.meet__clock {
    margin-top: 100px;
    gap: calc(24px * var(--size));
}

.meet__clock img {
    width: calc(81px * var(--size));
}

.meet__5 {
    margin-top: 5px;
    gap: calc(20px * var(--size));
    position: relative;
}

.meet__5 .num {
    display: flex;
    justify-content: center;
}

.meet__5 .num span {
    position: absolute;
    font-size: calc(82px * var(--size));
    color: #FFD56F;
    margin: 0;
    font-weight: 800;
}

.meet__5 img {
    width: calc(118px * var(--size));
    margin-top: calc(8px * var(--size));
}

.hello {
    background: #F0F0F0;
    padding-top: calc(100px * var(--size2));
    padding-bottom: calc(125px * var(--size2));
}

.hello h2 {
    font-size: calc(86px * var(--size));
    font-weight: 900;
    line-height: calc(103px * var(--size));
    color: #494040;
    text-transform: uppercase;
    margin: 0;
    text-align: center;
    margin-bottom: calc(70px * var(--size2));
}

.hello__photo {
    position: relative;
    min-width: calc(435px * var(--size));
    margin-bottom: 2vw;
}

.hello__photo img {
    width: calc(535px * var(--size));
}

.hello__desc {
    flex-direction: column;
}

@media (min-width: 768px) {
    .hello__desc {
        flex-direction: row;
    }
}

.hello__profile {
    flex-direction: row;
    margin-bottom: 40px;
    align-items: end;
}

@media (min-width: 768px) {
    .hello__profile {
        gap: 20px;
        align-items: start;
        flex-direction: column;
        margin-bottom: 0;
    }
}

.hello__profile h3 {
    color: #000;
    font-size: calc(30px * var(--size2));
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin: 0 calc(30px * var(--size)) 0 0;
}

.hello__profile p {
    color: #000;
    font-size: calc(24px * var(--size2));
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin: 0 calc(30px * var(--size)) 0 0;
}

.hello__profile img {
    width: 100%;
    max-width: 400px;
}

.hello__text {
    gap: 10px;
}

.hello__text h3 {
    color: #0087CC;
    font-size: calc(36px * var(--size2));
    font-style: normal;
    font-weight: 800;
    line-height: normal;
}

.hello__text p {
    color: #000;
    font-size: calc(30px * var(--size2));
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.hello__text h3, .hello__text p {
    margin: 0;
}

.hello__bottom {
    gap: 24px;
}

.hello__line {
    background: #fff;
    height: 14px;
    width: 100%;
    margin-bottom: 8px;
}

.hello__btn {
    width: calc(165px * var(--size2));
    height: calc(122px * var(--size2));
    position: relative;
    cursor: pointer;
    transition: all .2s ease;
}

.hello__btn span {
    position: absolute;
    left: calc(26px * var(--size2));
    bottom: calc(18px * var(--size2));
    color: #fff;
    font-size: calc(36px * var(--size2));
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    margin: 0;
}

.hello__btn img {
    width: 100%;
    height: 100%;
}

.hello__btn:hover {
    transform: translate(30px);
}

.hello__btn:hover span {
    font-weight: 800;
}

.programm__head {
    background: #515151;
    padding-top: calc(53px * var(--size2));
    padding-bottom: calc(62px * var(--size2));
}

.programm__head h2 {
    font-size: calc(86px * var(--size));
    font-weight: 900;
    line-height: calc(103px * var(--size));
    color: #FFD56F;
    text-transform: uppercase;
    text-align: center;
}

.programm__content {
    background: #484848;
    padding-top: 20px;
    padding-bottom: 100px;
}

.programm__list {
    gap: 40px;
}

.programm .card {
    border: 2px solid #A36BEA;
    background: #484848;
    padding: calc(30px * var(--size)) calc(50px * var(--size)) calc(50px * var(--size));
    gap: 15px;
    flex-direction: column;
    text-decoration: none !important;
    transition: all .1s ease;
}

.programm .card:hover {
    transform: scale(1.02);
}

@media (min-width: 992px) {
    .programm .card {
        flex-direction: row;
    }

    .programm .card__time {
        flex-direction: column-reverse;
    }
}

@media (min-width: 1400px) {
    .programm .card__time {
        flex-direction: row;
    }
}

.programm .card__text {
    width: 100%;
}

.programm .card__time {
    min-width: calc(550px * var(--size));
    gap: calc(60px * var(--size));
    justify-content: space-between;
}

.programm .card__time p {
    color: #FFF;
    text-align: center;
    font-size: calc(54px * var(--size2));
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin: 0;
    white-space: nowrap;
}

.programm .card__photo {
    position: relative;
}

.programm .card__photo img {
    width: 100%;
}

.programm .card__name {
    gap: 15px;
    padding-bottom: 20px;
    border-bottom: 4px dotted #fff;
    margin-bottom: 7px;
}

.programm .card__name h3 {
    color: #A36BEA;
    font-size: calc(40px * var(--size3));
    font-style: normal;
    font-weight: 700;
    line-height: 40px;
    margin: 0;
}

.programm .card__name ul {
    margin: 0;
    padding-left: calc(40px * var(--size2));
}

.programm .card__name p, .programm .card__name li {
    color: #A36BEA;
    font-size: calc(30px * var(--size3));
    font-style: normal;
    font-weight: 700;
    line-height: 32px;
    margin: 0;
}

.programm .card__desc {
    color: #FFF;
    font-size: calc(26px * var(--size3));
    font-style: normal;
    font-weight: 500;
    line-height: 28px;
    margin: 0;
}

.programm .card__desc span {
    font-weight: 800;
}

.partners th {
    position: relative;
}

.partners table th a {
    position: absolute;
    width: 100%;
    height: 100%;
}

.partners__head {
    background: #09A8FA;
    padding-top: calc(53px * var(--size2));
    padding-bottom: calc(62px * var(--size2));
}

.partners__head h2 {
    font-size: calc(86px * var(--size));
    font-weight: 900;
    line-height: calc(103px * var(--size));
    color: #fff;
    text-transform: uppercase;
    text-align: center;
}

.partners__contacts {
    gap: 20px;
    flex-direction: column;
    align-items: center;
}

.partners__contacts span, .partners__contacts a {
    color: #000;
    font-size: calc(29px * var(--size2));
    font-style: normal;
    font-weight: 600;
    line-height: calc(43px * var(--size2));
}

.partners__contacts img {
    max-width: 376px;
}

@media (min-width: 992px) {
    .partners__contacts {
        flex-direction: row;
        align-items: unset;
    }
}

.partners__content {
    background: #F0F0F0;
    padding-top: 118px;
    padding-bottom: 109px;
}

.partners table {
    width: 100%;
    border-collapse: collapse;
}

.partners table tbody {
    display: grid;
    grid-template-rows: repeat(2, 1fr);
    width: 100%;
}

.partners table tr {
    display: grid;
    grid-template-columns: 1fr 1.2fr 1fr;
}

.partners table tr:first-of-type {
    border-bottom: 0.5px solid rgba(0, 0, 0, 0.3);
}

.partners table th:not(th:last-of-type) {
    border-right: 0.5px solid rgba(0, 0, 0, 0.3);
}

.partners table th {
    padding: 20px 20px;
}

.partners table th img {
    max-width: 100%;
}

.nmo__head {
    background: #515151;
    padding-top: calc(53px * var(--size2));
    padding-bottom: calc(62px * var(--size2));
}

.nmo__head h2 {
    font-size: calc(86px * var(--size));
    font-weight: 900;
    line-height: calc(103px * var(--size));
    color: #FFD56F;
    text-transform: uppercase;
    text-align: center;
}

.nmo__content {
    background: #484848;
    padding-top: 55px;
    padding-bottom: 188px;
}

.nmo__content h3 {
    font-size: 48px;
    font-weight: 700;
    line-height: 58px;
    color: #FCC536;
    margin-bottom: 20px;
}

.nmo__content p {
    font-size: 26px;
    font-weight: 400;
    line-height: 31.5px;
    color: #fff;
    margin-bottom: 80px;
}

.nmo__content a {
    padding: 6px 18px;
    border: 4px solid #FFD56F;
    text-decoration: none;
    font-size: 41px;
    font-weight: 800;
    line-height: 49px;
    color: #5C4E4E;
    background: #FFD56F;
    cursor: pointer;
    transition: all .2s ease;
}

.nmo__content a:hover {
    color: #FFD56F !important;
    background: transparent;
}

.btn-online {
    margin-top: 3rem;
}

.btn-online button {
    padding: 6px 18px;
    border: 4px solid #FFD56F;
    text-decoration: none;
    font-size: 41px;
    font-weight: 800;
    line-height: 49px;
    color: #5C4E4E;
    background: #FFD56F;
    cursor: pointer;
    transition: all .2s ease;
}

.btn-online button:hover {
    color: #FFD56F !important;
    background: transparent;
}

.points-img {
    width: 70% !important;
}

@media (min-width: 1200px) {
    .points-img {
        width: 100% !important;
    }
}

.voting-form-box {
    border: none;
    padding: 0;
}

.vote-form {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.vote-form-box {
    border: none;
}

.vote-form .vote-item-title span {
    font-size: 1.25rem !important;
    font-weight: 400;
    color: #000;
    margin: 0;
}

.vote-form .starrequired {
    padding-left: .25rem;
    color: red !important;
}

.vote-form input[type="submit"] {
    border-radius: 5rem;
    padding: 1rem 2rem 1rem;
    background: #A36BEA;
    color: #fff;
    font-size: 1.5rem;
    font-weight: 500;
    line-height: 120%;
    text-align: center;
    white-space: nowrap;
    border: 3px solid #A36BEA;
    transition: all .2s ease;
    cursor: pointer;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}

.vote-form input[type="submit"]:hover {
    background: #fff;
    color: #A36BEA;
    text-decoration: none;
}

.vote-form input:focus-visible {
    outline: none;
    border-color: #A36BEA;
    border-style: solid;
}

.vote-form input[type="text"] {
    height: 2.5rem;
    width: 100%;
    font-size: 1.25rem;
    font-weight: 400;
    color: #000;
}

.vote-form br {
    display: none;
}

.vote-form .vote-items-list {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.vote-form .vote-item-vote {
    margin: 0;
}

.vote-form .vote-item-vote label {
    display: none;
}

.vote-form .vote-answer-item-radio {
    display: flex;
    gap: .5rem;
    align-items: center;
}

.vote-form .vote-answer-item-radio label {
    display: unset;
    font-size: 1.25rem;
    font-weight: 400;
    color: #000;
    margin: 0;
}

.vote-form .vote-answer-item-radio input {
    width: 20px;
    height: 20px;
}

.overlay0 {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    z-index: 1100;
    overflow: hidden;
}

.modal {
    padding-top: 40px;
    padding-bottom: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

.modal__block {
    position: relative;
    padding: calc(75px * var(--size)) calc(65px * var(--size));
    width: fit-content;
    width: 100%;
    display: flex;
    border-radius: 20px;
    background: #EEE;
    max-height: calc(100vh - 80px);
    width: fit-content;
}

.modal__text {
    height: calc(100vh - 300px);
    overflow: auto;
}

.modal__close {
    position: absolute;
    top: calc(30px * var(--size));
    right: calc(30px * var(--size));
    width: calc(60px * var(--size2));
    height: calc(60px * var(--size2));
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #09A8FA;
    border-radius: 50%;
    border: 4px solid #09A8FA;
    transition: all .2s ease;
}

.modal__close:hover {
    background: transparent;
}

.modal__close:hover::after, .modal__close:hover::before {
    background-color: #09A8FA;
}

.modal__close::after, .modal__close::before {
    content: "";
    height: 4px;
    width: 15px;
    background-color: #fff;
    position: absolute;
}

.modal__close::before {
    transform: rotate(45deg);
}

.modal__close::after {
    transform: rotate(-45deg);
}

.modal__content h3 {
    color: #0087CC;
    font-size: calc(36px * var(--size3));
    font-style: normal;
    font-weight: 800;
    line-height: normal;
    padding-bottom: calc(36px * var(--size3));
}

.modal__content p {
    color: #000;
    font-size: calc(26px * var(--size3));
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.modal__content p, .modal__content h3 {
    margin: 0;
}

.side-trigger {
    padding: 8px 16px;
    border: 4px solid #000;
    background: #000;
    transition: all .2s ease;
    border-radius: 4px;
    display: flex;
    align-items: center;
    cursor: pointer;
    gap: 10px;
}

.side-trigger div {
    height: 25px;
    width: 30px;
    position: relative;
}

.side-trigger div span {
    position: absolute;
    height: 3px;
    background: #EBEBEB;
    width: 100%;
    left: 0;
}

.side-trigger div span:nth-child(1) {
    top: 0;
}

.side-trigger div span:nth-child(2) {
    top: 11px;
}

.side-trigger div span:nth-child(3) {
    bottom: 0;
}

.side-trigger:hover {
    background: #EBEBEB;
}

.side-trigger:hover p {
    color: #000;
}

.side-trigger:hover span {
    background: #000;
}

.side-trigger p {
    font-weight: 800;
    font-size: calc(27px * var(--size3));
    line-height: calc(32px * var(--size3));
    color: #EBEBEB;
    text-transform: uppercase;
    white-space: nowrap;
    margin: 0;
}

@media (min-width: 1400px) {
    .side-trigger {
        display: none;
    }
}

.sidenav {
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    top: 0;
    right: -100%;
    z-index: 900;
    opacity: 0;
    transition: opacity .3s ease, right 0s ease .3s;
}

.sidenav.active {
    opacity: 1;
    right: 0;
    transition: opacity .3s ease;
}

.sidenav.active .sidenav-block {
    right: 0;
}

.sidenav.active .sidenav-click {
    left: 0;
}

.sidenav-block {
    transition: all .3s ease;
    background: #EBEBEB;
    position: absolute;
    top: 0;
    right: -100%;
    width: 100%;
    max-width: 300px;
    height: 100%;
    padding-top: 40px;
    padding-bottom: 40px;
    row-gap: 35px;
    padding-left: 40px;
}

.sidenav-block-desc {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.sidenav-block-desc a {
    color: #000000;
    font-size: calc(27px * var(--size2));
    font-weight: 800;
    line-height: calc(32px * var(--size2));
    text-transform: uppercase;
    white-space: nowrap;
    transition: all .2s ease;
    text-decoration: none;
    position: relative;
}

.sidenav-block-desc a:hover {
    color: #09A8FA;
}

.sidenav-block-desc a:hover:after, .sidenav-block-desc a:hover:before {
    width: 100%;
}

.sidenav-block-desc a:after, .sidenav-block-desc a:before {
    position: absolute;
    content: "";
    background-color: #09A8FA;
    z-index: -1;
    width: 0;
    transition: width .2s ease;
}

.sidenav-block-desc a:after {
    bottom: -4px;
    left: 0;
    height: 4px;
}

.sidenav-block-desc a:before {
    top: -2px;
    left: unset;
    right: 0;
    height: 3px;
}

.sidenav-block-close {
    position: absolute;
    top: calc(40px * var(--size));
    right: calc(40px * var(--size));
    width: calc(70px * var(--size2));
    height: calc(70px * var(--size2));
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #09A8FA;
    border-radius: 50%;
    border: 4px solid #09A8FA;
    transition: all .2s ease;
}

.sidenav-block-close:hover {
    background: transparent;
}

.sidenav-block-close:hover::after, .sidenav-block-close:hover::before {
    background-color: #09A8FA;
}

.sidenav-block-close::after, .sidenav-block-close::before {
    content: "";
    height: 4px;
    width: 15px;
    background-color: #fff;
    position: absolute;
}

.sidenav-block-close::before {
    transform: rotate(45deg);
}

.sidenav-block-close::after {
    transform: rotate(-45deg);
}

.how-it-was {
    padding-bottom: calc(130px * var(--size2));
    background: #484848;
}

/*.how-it-was h2{*/
/*  font-size: calc(100px * var(--size2));*/
/*  font-weight: 900;*/
/*  line-height: 120%;*/
/*  margin-bottom: calc(70px * var(--size2));*/
/*  color: #FFD56F;*/
/*  text-transform: uppercase;*/
/*  text-align: center;*/
/*}*/
.how-it-was__stat {
    border: 2px solid #356685;
    margin-top: calc(70px * var(--size2));
    padding: calc(40px * var(--size)) calc(70px * var(--size));
}

.how-it-was__stat p {
    font-size: calc(100px * var(--size));
    font-weight: 900;
    line-height: 120%;
    text-align: center;
    margin: 0;
    color: #FFD56E;
}

.how-it-was__stat span {
    font-size: calc(36px * var(--size));
    font-weight: 700;
    line-height: 120%;
    text-align: center;
    color: #fff;
}

.how-it-was img {
    width: 100%;
}

.how-it-was__pics {
    gap: calc(20px * var(--size));
    margin-top: calc(70px * var(--size));
    display: flex;
    flex-direction: column;
    /*display: grid;*/
    /*grid-template-columns: 40% 20% 40%;*/
    /*grid-template-rows: 1fr 1fr;*/
}

.how-it-was__row div {
    background-position: center;
    background-size: cover;
    height: calc(325px * var(--size));
}

.how-it-was__row:first-of-type {
    display: grid;
    grid-template-columns: 40% 18% auto;
    gap: calc(20px * var(--size));
}

.how-it-was__row:last-of-type {
    display: grid;
    grid-template-columns: 40% 18% 21% auto;
    gap: calc(20px * var(--size));
}

/*# sourceMappingURL=data:application/json;base64,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 */